#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( backend )
add_subdirectory( gui )
add_subdirectory( pics )
tde_conditional_add_subdirectory( WITH_KCAL tderesources )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/backend
  ${CMAKE_BINARY_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

tde_install_icons( kbugbuster )
install( FILES kbugbuster.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )


##### kbugbuster (executable) ###################

tde_add_executable( kbugbuster
  SOURCES main.cpp
  LINK
    kbbmainwindow-static kbbbackend_nopic-static
    tdeutils-shared tdeio-shared tdehtml-shared
  DESTINATION ${BIN_INSTALL_DIR}
)
